## gtk+2.0 2.24.30

=== debian/changelog ===
gtk+2.0 (2.24.30-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    - d/libgtk2.0-0.symbols: update symbols file.
    - d/libgtk2.0-dev.manpages: add gtk-builder-convert.1 manpage.
    - d/rules: enable manpage.
    - d/update-icon-caches: run with "--include-image-data" flag.
    - add Ubuntu patches:
      + debian/patches/012_ubuntu-set-grab-add.patch
        - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
          things in menus, needed by ido
      + debian/patches/062_dnd_menubar.patch:
        - Allow click on menubars for dnd
      + debian/patches/063_treeview_almost_fixed.patch:
        - Add an ubuntu-almost-fixed-height-mode property, (required for
          software-center)
      + debian/patches/071_no_offscreen_widgets_grabbing.patch:
        - Don't let offscreen widgets do grabbing
      + debian/patches/090_logging_file_saves.patch:
        - improve the logging of saved files
      + debian/patches/092_default_to_xdg_document_dir.patch:
        - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
          directory for the 'Print to File' function.
      + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
        - Backported gtk3 patch to add a "use-fallback" property to GtkImage,
          using it "icon-name and GIcon type of GtkImages can use automatic
          fallback names.", it will be useful for the indicator stack
      + debian/patches/095_git_menus_scrolling.patch:
        - backported gtk3 commit to fix menu scrolling issues
      + debian/patches/096_git_gtkprintsettings.patch:
        - upstream git commit backported from the gtk3 serie, don't ignore the 
          gtkprintsettings resolution settings 
      + debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
        images use fallbacks by default if the property is available.
      + debian/patches/098_multiarch_module_path.patch:
        - Fallback to the pre-multiarch directory for compatibility
      + debian/patches/099_printer_filename_fix.patch
        - Fix to the print dialog for print to file, make sure a non-hidden filename 
          is the default
      + debian/patches/100_overlay_scrollbar_loading.patch
        - support for dynamically loading overlay scrollbars
      + debian/patches/gtk-shell-shows-menubar.patch:
        - list gtk-shell-shows-menubar setting, that's required to have the local
          menubars hidding under unity in favor of the unity ones,
      + debian/patches/print-dialog-show-options-of-remote-dnssd-printers.patch:
        - Make printing on remote DNS-SD/Bonjour-shared printers work
      + debian/patches/backport_search_printer_location.patch
        -  The list of printers should be searchable/sortable
      + debian/patches/menubar_toolbar_dragging.patch:
        - Allow windows to be dragged using blank spaces in the toolbar as
          well as the menubar
      + debian/patches/use-secrets-service-for-cups-auth_info.patch
      + debian/patches/gdkcairo-Avoid-integer-overflow.patch: Cherry-pick upstream
        commit from GTK+3 to avoid integer overflow when allocating a large block
        of memory in gdk_cairo_set_source_pixbuf. (lp: #1540811)
  * debian/patches/095_git_menus_scrolling.patch: Dropped, in this release.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Mar 2016 14:11:09 +0000

gtk+2.0 (2.24.30-1) unstable; urgency=medium

  * New upstream release 2.24.30
    - Support Randr 1.5 monitor information
    - Fixes build against newer gdk-pixbuf
  * debian/patches/005_support_disabling_x11_extensions.patch: Refresh.

 -- Iain Lane <laney@debian.org>  Mon, 07 Mar 2016 13:51:18 +0000

gtk+2.0 (2.24.29-1ubuntu2) xenial; urgency=medium

  * gdkcairo-Avoid-integer-overflow.patch: new patch. Cherry-pick upstream
    commit from GTK+3 to avoid integer overflow when allocating a large block
    of memory in gdk_cairo_set_source_pixbuf. (lp: #1540811)

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 02 Feb 2016 10:52:16 +0300

gtk+2.0 (2.24.29-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    - d/libgtk2.0-0.symbols: update symbols file.
    - d/libgtk2.0-dev.manpages: add gtk-builder-convert.1 manpage.
    - d/rules: enable manpage.
    - d/update-icon-caches: run with "--include-image-data" flag.
    - add Ubuntu patches:
      + debian/patches/012_ubuntu-set-grab-add.patch
        - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
          things in menus, needed by ido
      + debian/patches/062_dnd_menubar.patch:
        - Allow click on menubars for dnd
      + debian/patches/063_treeview_almost_fixed.patch:
        - Add an ubuntu-almost-fixed-height-mode property, (required for
          software-center)
      + debian/patches/071_no_offscreen_widgets_grabbing.patch:
        - Don't let offscreen widgets do grabbing
      + debian/patches/090_logging_file_saves.patch:
        - improve the logging of saved files
      + debian/patches/092_default_to_xdg_document_dir.patch:
        - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
          directory for the 'Print to File' function.
      + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
        - Backported gtk3 patch to add a "use-fallback" property to GtkImage,
          using it "icon-name and GIcon type of GtkImages can use automatic
          fallback names.", it will be useful for the indicator stack
      + debian/patches/095_git_menus_scrolling.patch:
        - backported gtk3 commit to fix menu scrolling issues
      + debian/patches/096_git_gtkprintsettings.patch:
        - upstream git commit backported from the gtk3 serie, don't ignore the 
          gtkprintsettings resolution settings 
      + debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
        images use fallbacks by default if the property is available.
      + debian/patches/098_multiarch_module_path.patch:

