=== debian/watch ===
version=3
https://download.gnome.org/sources/gtk+/(2\.2[02468])/ \
	gtk\+-(.*)\.tar\.xz
