## gtk+2.0 2.24.31

=== debian/changelog ===
gtk+2.0 (2.24.31-2) unstable; urgency=medium

  * debian/patches/0001-Don-t-use-guint32-with-XChangeProperty.patch:
    + Backport patch from GTK+3 to fix unaligned access on sparc64.
      Thanks James Clarke. Closes: #852401.
  * debian/patches/0002-GtkMenuShell-always-activate-menu-shells.patch:
    + Backport patch from GTK+3 to fix stuck grabs in some situations.
      Thanks Colomban Wendling. Closes: #847438.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Jan 2017 17:59:51 +0100

gtk+2.0 (2.24.31-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete maintainer scripts which cleaned up the /usr/share/doc
    symlinks.
  * Refresh patches. Drop the ones which have been merged upstream.
  * When linking against libgail18, automatically generate a dependency on
    libgail-common. This was originally achieved via a .shlibs file but since
    we use a .symbols file nowadays, move this over there.
  * Remove an old shlibs.local hack which doesn't seem necessary anymore.
  * Use idiomatic variables from default.mk dpkg include.
    Bump Build-Depends on dpkg-dev to (>= 1.16.1).

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 02:25:29 +0200

gtk+2.0 (2.24.30-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump hicolor-icon-theme to a hard dependency, the
    package is small and only provides the directory structure of the theme.
  * Depends against gnome-icon-theme | adwaita-icon-theme so we are sure the
    needed icons are installed by default. When using the GNOME, the desktop
    sets the icon theme to Adwaita by default, so the gnome-icon-theme package
    can be removed.

  [ Emilio Pozuelo Monfort ]
  * Add build-indep and build-arch targets.
  * Don't build the udeb or static flavors when only building arch-indep
    packages. Don't run the test suite either.
  * Don't build the different flavors in parallel, to workaround a bug in the
    documentation build. Closes: #798972.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 17 Jul 2016 18:34:17 +0200

gtk+2.0 (2.24.30-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Use https for copyright headers
  * Use https in d/watch and use new "special strings" to help standardize
    format

  [ Emilio Pozuelo Monfort ]
  * Let libgtk2.0-0 recommend libgail-common, so that installing a
    GTK+2.0 application also installs the accessibility libs.
    See #822612.
  * Add a libgail18-udeb package. Thanks to Samuel Thibault. Closes: #816720.
  * Set libgail18-udeb to section debian-installer.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 13 Jul 2016 17:43:50 +0200

gtk+2.0 (2.24.30-2) unstable; urgency=medium

  * Acknowledge NMU, thanks Salvatore Bonaccorso.
  * Drop gtk-update-icon-cache from libgtk2.0-bin. From now on we only provide
    one implementation which is built from src:gtk+3.0 and shipped in a
    separate package called gtk-update-icon-cache. To simplify the transition
    make libgtk2.0-bin depend on gtk-update-icon-cache. Once all theme
    packages have been updated, this dependency can be dropped.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 May 2016 23:18:37 +0200

gtk+2.0 (2.24.30-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2013-7447: Integer overflow in image handling (Closes: #799275)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Mar 2016 20:20:37 +0100
