=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gtk+2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                gettext,
                gtk-doc-tools (>= 1.11),
@@ -30,7 +29,7 @@
                libxfixes-dev (>= 1:3.0.0-3),
                libcairo2-dev (>= 1.6.4-6.1),
                gnome-pkg-tools (>= 0.11),
-               dpkg-dev (>= 1.16.0),
+               dpkg-dev (>= 1.16.1),
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
                gobject-introspection (>= 0.10.8-2),
@@ -46,10 +45,9 @@
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntu
-XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+2.0/
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+2.0/
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+2.0/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+2.0/
 Homepage: http://www.gtk.org/
 
 Package: libgtk2.0-0
@@ -57,9 +55,11 @@
 Depends: libgtk2.0-common,
          ${misc:Depends},
          ${shlibs:Depends},
+         gnome-icon-theme | adwaita-icon-theme,
+         hicolor-icon-theme,
          shared-mime-info
 Provides: gtk2.0-binver-2.10.0
-Recommends: hicolor-icon-theme,
+Recommends: libgail-common,
             libgtk2.0-bin
 Suggests: librsvg2-common,
           gvfs
@@ -111,7 +111,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          libgtk2.0-0 (= ${binary:Version}),
-         libgtk2.0-common
+         libgtk2.0-common,
+         gtk-update-icon-cache
 Multi-Arch: foreign
 Description: programs for the GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -256,6 +257,23 @@
  .
  This package contains the shared library.
 
+Package: libgail18-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgtk2.0-0-udeb (= ${binary:Version})
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Description: GNOME Accessibility Implementation Library -- shared libraries
+ Gail implements ATK interfaces for GTK+ widgets which are dynamically
+ loadable at runtime by a GTK+ application. Once loaded, those parts of
+ an application that use standard GTK+ widgets will have a basic level
+ of accessibility, without the need to modify the application at all.
+ .
+ This package contains the shared library for the Debian installer.
+
 Package: libgail-common
 Architecture: any
 Depends: ${misc:Depends},
