=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/default.mk
 
 GNOME_MODULE := gtk+
 
@@ -25,13 +25,6 @@
 DEB_BUILD_OPTIONS_PARALLEL ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL_FLAGS += $(if $(DEB_BUILD_OPTIONS_PARALLEL),-j$(DEB_BUILD_OPTIONS_PARALLEL))
 
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 DEB_BUILD_OPTIONS += multiarch
 # relative libdir
 ifneq (,$(findstring multiarch,$(DEB_BUILD_OPTIONS)))
@@ -52,8 +45,6 @@
 # currently fails in the cups gtkprint backend
 #LDFLAGS += -Wl,-z,defs
 
-DEBVERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-VERSION := $(shell echo $(DEBVERSION) | sed -e 's/-[^-]*$$//')
 APIVER := 2.0
 SONAME := 0
 SHVER := 2.24.0
@@ -81,7 +72,7 @@
 
 # package groups, used in rule dependencies and in cleanup
 BINARY_INDEP_PKGS := $(COMMON_PKG) $(DOC_PKG) libgail-doc
-BINARY_ARCH_PKGS := $(SHARED_PKG) $(BIN_PKG) $(UDEB_PKG) $(DEV_PKG) $(DEBUG_PKG) $(EXAMPLES_PKG) $(PIXBUF_PKG) gir1.2-gtk-2.0 libgail18 libgail-dbg libgail-dev libgail-common
+BINARY_ARCH_PKGS := $(SHARED_PKG) $(BIN_PKG) $(UDEB_PKG) $(DEV_PKG) $(DEBUG_PKG) $(EXAMPLES_PKG) $(PIXBUF_PKG) gir1.2-gtk-2.0 libgail18 libgail18-udeb libgail-dbg libgail-dev libgail-common
 ALL_PKGS := $(BINARY_INDEP_PKGS) $(BINARY_ARCH_PKGS)
 
 # list of flavors we build; each gets a builddir, a configure pass (configure
@@ -120,7 +111,6 @@
 			--enable-test-print-backend \
 			--enable-introspection=no \
 			--with-xinput=yes \
-			--enable-man \
 			--build=$(DEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
@@ -160,7 +150,7 @@
 devhelpfiles: debian/gtk-faq.devhelp debian/gtk-tutorial.devhelp
 
 debian/dh_gtkmodules.1: debian/dh_gtkmodules
-	cd debian && pod2man -c "Gtk" -r "$(DEBVERSION)" dh_gtkmodules dh_gtkmodules.1
+	cd debian && pod2man -c "Gtk" -r "$(DEB_VERSION)" dh_gtkmodules dh_gtkmodules.1
 
 patch: $(STAMP_DIR)/patch-stamp
 
@@ -183,13 +173,16 @@
 
 configure: $(addprefix $(STAMP_DIR)/configure-stamp-, $(FLAVORS))
 
+.NOTPARALLEL: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))
 $(STAMP_DIR)/build-stamp-%: $(STAMP_DIR)/configure-stamp-%
 	dh_testdir
 	LD_LIBRARY_PATH=$(builddir)/gtk/.libs:$(builddir)/gdk/.libs:$(LD_LIBRARY_PATH) \
 		$(MAKE) $(PARALLEL_FLAGS) -C $(builddir)
 	touch $@
 
-build: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))
+build-arch: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))
+build-indep: $(addprefix $(STAMP_DIR)/build-stamp-, shared)
+build: build-arch build-indep
 
 $(STAMP_DIR)/check-stamp-%: $(STAMP_DIR)/build-stamp-%
 	dh_testdir
@@ -208,7 +201,8 @@
 		DESTDIR=$(installdir)
 	touch $@
 
-install: $(addprefix $(STAMP_DIR)/install-stamp-, $(FLAVORS))
+install-arch: $(addprefix $(STAMP_DIR)/install-stamp-, $(FLAVORS))
+install-indep: $(addprefix $(STAMP_DIR)/install-stamp-, shared)
 
 # gross kludge to force control generation with the %.in target
 clean::
@@ -219,7 +213,7 @@
 	sed \
 		-e "s#@SONAME@#$(SONAME)#g" \
 		-e "s#@APIVER@#$(APIVER)#g" \
-		-e "s#@VERSION@#$(VERSION)#g" \
+		-e "s#@VERSION@#$(DEB_VERSION_UPSTREAM)#g" \
 		-e "s#@GTK_BINVER_DEP@#$(GTK_BINVER_DEP)#g" \
 		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
 		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
@@ -233,3 +227,17 @@
 		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
 		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
 		-e "s#@LIBDIR@#$(LIBDIR)#g" \
+		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
+		-e "s#@OLD_MODULES_BASE_PATH@#$(OLD_MODULES_BASE_PATH)#g" \
+		$@.in \
+		> $@
+
+clean:: debian/control
+	dh_testdir
+	dh_testroot
+	# remove install and build dirs
+	rm -rf $(installbasedir)
+	rm -rf $(buildbasedir)
+	dh_autoreconf_clean
+	rm -f gtk-doc.make
+	rm -f debian/*.devhelp
